roar_vs_pause(3)

NAME
roar_vs_pause, roar_vs_mute - Alter stream flags

SYNOPSIS

#include <roaraudio.h>

int roar_vs_pause(roar_vs_t * vss, int val, int * error);

int roar_vs_mute (roar_vs_t * vss, int val, int * error);

DESCRIPTION
roar_vs_pause() and roar_vs_mute() alters the stream flags PAUSE and MUTE, respectively.

PARAMETERS

vss The VS object pointing to the stream which flags should be altered.

val Specifies the new state. Value must be ROAR_VS_TRUE, ROAR_VS_FALSE, ROAR_VS_TOGGLE or ROAR_VS_ASK.

error
    This is a pointer to a integer used to store the error value in case of error. This can be NULL if not used but it is very recommended to use this error value to report good error messages to the user.

RETURN VALUE
On success these calls return the old (current if ROAR_VS_ASK is used) state of the stream flag. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roarvs(7), libroar(7), RoarAudio(7).